TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Last ( list l, func pred ) -> any

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Find the last element which suffices the predicate function `pred' and return it.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

Last([1..100],IsPrime);
Last([2,4,6,8,12,50,100],i->i mod 3=0);

### See also

First ( list, func ) -> any

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack